# $Revision: 1.34 $, $Date: 2008-02-23 22:05:06 $
#
# Conditional build:
%bcond_with	tests 	# perform "make test" (requires X server)
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Gnome2
Summary:	Perl interface to the 2.x series of the GNOME libraries
Summary(pl.UTF-8):	Interfejs perlowy do bibliotek GNOME 2.x
Name:		perl-Gnome2
Version:	1.042
Release:	3
License:	LGPL
Group:		Development/Languages/Perl
Source0:	http://dl.sourceforge.net/gtk2-perl/%{pdir}-%{version}.tar.gz
# Source0-md5:	eb7b624114e45e54e022a633ffc1cce6
URL:		http://gtk2-perl.sourceforge.net/
BuildRequires:	libbonoboui-devel >= 2.0.0
BuildRequires:	libgnomeui-devel >= 2.14.1
BuildRequires:	perl-ExtUtils-Depends >= 0.201
BuildRequires:	perl-ExtUtils-PkgConfig >= 1.03
BuildRequires:	perl-Glib >= 1.140
BuildRequires:	perl-Gnome2-Canvas >= 1.002
BuildRequires:	perl-Gnome2-VFS >= 1.060
BuildRequires:	perl-Gtk2 >= 1.140
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
Requires:	libbonoboui >= 2.0.0
Requires:	libgnomeui >= 2.14.1
Requires:	perl-Glib >= 1.140
Requires:	perl-Gnome2-Canvas >= 1.002
Requires:	perl-Gnome2-VFS >= 1.060
Requires:	perl-Gtk2 >= 1.140
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Gnome2 Perl module allows a Perl developer to use the GNOME 2
libraries.

%description -l pl.UTF-8
Moduł Perla Gnome2 pozwala programistom perlowym na używanie bibliotek
środowiska GNOME 2.

%prep
%setup -q -n %{pdir}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{perl_vendorarch}/Gnome2/{*,*/*}.pod

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README TODO
%dir %{perl_vendorarch}/Gnome2/Install
%attr(755,root,root) %{perl_vendorarch}/auto/Gnome2/*.so
%{perl_vendorarch}/auto/Gnome2/*.bs
%{perl_vendorarch}/Gnome2/Install/*
%{perl_vendorarch}/Gnome2.pm
%{_mandir}/man3/Gnome2*.3pm*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Gnome2.spec,v $
Revision 1.34  2008-02-23 22:05:06  glen
- release 3

Revision 1.33  2008-02-10 12:10:36  arekm
- rel 2

Revision 1.32  2008-01-10 08:38:38  glen
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

Revision 1.31  2007-12-01 15:33:14  qboosh
- updated to 1.042

Revision 1.30  2007-06-02 11:06:55  qboosh
- updated to 1.041

Revision 1.29  2007/02/13 07:47:12  glen
- tabs in preamble

Revision 1.28  2007/02/12 00:48:33  baggins
- converted to UTF-8

Revision 1.27  2006/07/26 16:03:33  glen
- unify sourceforge url

Revision 1.26  2006/05/26 23:39:29  qboosh
- merged deps update from AC-branch

Revision 1.23.2.2  2006/05/18 21:22:53  baggins
- release 2
- strict reqs

Revision 1.23.2.1  2006/05/15 13:39:47  baggins
- merged from HEAD
- BRs for GNOME 2.14

Revision 1.25  2006/04/05 17:25:25  freetz
- 1.040

Revision 1.24  2005/08/11 09:46:18  radek
- bcond_with(out) is followed by one \t, then bcond's name.

Revision 1.23  2005/06/26 12:13:37  freetz
- 1.023

Revision 1.22  2005/06/12 14:00:12  freetz
- 1.022

Revision 1.21  2005/05/21 16:10:55  freetz
- 1.021

Revision 1.20  2004/11/03 22:30:24  paladine
- formatting

Revision 1.19  2004/09/17 04:32:51  freetz
- 1.020

Revision 1.18  2004/08/12 21:20:53  ankry
- s/perl/Perl/

Revision 1.17  2004/06/05 20:26:52  radek
- massive: unfold macros in name/summary & other unifications

Revision 1.16  2004/06/01 21:39:29  freetz
- 1.001 (1.010 is unstable, should go to devel branch)

Revision 1.15  2004/04/21 08:40:39  ankry
- license fixes/unification

Revision 1.14  2004/04/14 16:45:10  ankry
- cosmetics

Revision 1.13  2004/04/01 16:08:55  freetz
- 1.00

Revision 1.12  2004/03/11 12:27:46  freetz
- 0.93

Revision 1.11  2004/02/16 22:51:42  freetz
- 0.92, more Rs/BRs, depends on perl-Glib from DEVEL

Revision 1.10  2004/01/07 16:18:53  freetz
- 0.90

Revision 1.9  2003/11/30 21:12:21  qboosh
- pkgconfig is used only through ExtUtils::PkgConfig and required by it - removed from BR

Revision 1.8  2003/11/30 19:22:48  freetz
- cosmetics

Revision 1.7  2003/11/30 19:20:43  freetz
- 0.49
- BR: perl-Gnome2-VFS
- removed *.pod for clean build

Revision 1.6  2003/11/28 15:29:29  freetz
- up to 0.38
- more precise BRs
- more %%files

Revision 1.5  2003/10/24 21:48:39  freetz
- 0.32
- new style bcond
- build_fixes patch added

Revision 1.4  2003/10/13 22:17:30  qboosh
- missing dir

Revision 1.3  2003/09/12 09:27:27  freetz
- BR perl-ExtUtils-Depends already in perl-Glib

Revision 1.2  2003/09/04 21:54:46  ankry
- sync descriptions, cosmetics

Revision 1.1  2003/09/04 21:48:36  krzak
- initial
